Bug 752168 - VUL-0: MozillaFirefox: 11.0/10.0.3/3.6.28 security update
VUL-0: MozillaFirefox: 11.0/10.0.3/3.6.28 security update
Status: RESOLVED DUPLICATE of bug 750044
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Critical
: ---
Assigned To: E-mail List
Security Team bot
maint:released:sle10-sp4:46268 maint:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 07:06 UTC by Marcus Meissner
Modified: 2012-03-29 04:08 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2012-03-14 07:06:59 UTC
is public.

MFSA 2012-19:
Mozilla developers identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.
References

Bob Clary reported two bugs that causes crashes that affected Firefox 3.6, Firefox ESR, and Firefox 10.
CVE-2012-0461

Christian Holler, Jesse Ruderman, Nils, Michael Bebenita, Dindog, and David Anderson reported memory safety problems and crashes that affect Firefox ESR and Firefox 10.
CVE-2012-0462

Jeff Walden reported a memory safety problem in the array.join function. This bug was independently reported by Vincenzo Iozzo via TippingPoint's Zero Day Initiative Pwn2Own contest.
CVE-2012-0464

Masayuki Nakano reported a memory safety problem that affected Mobile Firefox 10.
CVE-2012-0463


MFSA 2012-18 / CVE-2012-0460: Mozilla developer Matt Brubeck reported that window.fullScreen is writeable by untrusted content now that the DOM fullscreen API is enabled. Because window.fullScreen does not include mozRequestFullscreen's security protections, it could be used for UI spoofing. This code change makes window.fullScreen read only by untrusted content, forcing the use of the DOM fullscreen API in normal usage.

Firefox 3.6 and Thunderbird 3.1 are not affected by this vulnerability.


MFSA 2012-17 / CVE-2012-0459: Mozilla community member Daniel Glazman of Disruptive Innovations reported a crash when accessing a keyframe's cssText after dynamic modification. This crash may be potentially exploitable.

Firefox 3.6 and Thunderbird 3.1 are not affected by this vulnerability.


MFSA 2012-16 / CVE-2012-0458: Security researcher Mariusz Mlynski reported that an attacker able to convince a potential victim to set a new home page by dragging a link to the "home" button can set that user's home page to a javascript: URL. Once this is done the attacker's page can cause repeated crashes of the browser, eventually getting the script URL loaded in the privileged about:sessionrestore context.


MFSA 2012-15 / CVE-2012-0451: Security Researcher Mike Brooks of Sitewatch reported that if multiple Content Security Policy (CSP) headers are present on a page, they have an additive effect page policy. Using carriage return line feed (CRLF) injection, a new CSP rule can be introduced which allows for cross-site scripting (XSS) on sites with a separate header injection vulnerability.

Firefox 3.6 and Thunderbird 3.1 are not affected by this vulnerability.


MFSA 2012-14 / CVE-2012-0457 / CVE-2012-0456: Security researcher Atte Kettunen from OUSPG found two issues with Firefox's handling of SVG using the Address Sanitizer tool. The first issue, critically rated, is a use-after-free in SVG animation that could potentially lead to arbitrary code execution. The second issue is rated moderate and is an out of bounds read in SVG Filters. This could potentially incorporate data from the user's memory, making it accessible to the page content.


MFSA 2012-13 / CVE-2012-0455: Firefox prevents the dropping of javascript: links onto a frame to prevent malicious sites from tricking users into performing a cross-site scripting (XSS) attacks on themselves. Security researcher Soroush Dalili reported a way to bypass this protection.


MFSA 2012-12 / CVE-2012-0454: Security researchers Blair Strang and Scott Bell of Security Assessment found that when a parent window spawns and closes a child window that uses the file open dialog, a crash can be induced in shlwapi.dll on 32-bit Windows 7 systems. This crash may be potentially exploitable.

Firefox 3.6 and Thunderbird 3.1 are not affected by this vulnerability.
Comment 1 Swamp Workflow Management 2012-03-14 07:11:05 UTC
The SWAMPID for this issue is 46057.
This issue was rated as critical.
Please submit fixed packages until 2012-03-16.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 2 Wolfgang Rosenauer 2012-03-14 07:12:28 UTC
I've prepared all updates with reference to bug 750044. Could we please use that?

*** This bug has been marked as a duplicate of bug 750044 ***
Comment 3 Marcus Meissner 2012-03-14 07:17:04 UTC
yes, i realigned the neutron emitters etc. to point at the other bug.
Comment 4 Swamp Workflow Management 2012-03-29 00:34:27 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-translations, mozilla-nspr, mozilla-nspr-32bit, mozilla-nspr-64bit, mozilla-nspr-debuginfo, mozilla-nspr-devel, mozilla-nspr-x86, mozilla-nss, mozilla-nss-32bit, mozilla-nss-64bit, mozilla-nss-debuginfo, mozilla-nss-devel, mozilla-nss-tools, mozilla-nss-x86, mozilla-xulrunner192, mozilla-xulrunner192-32bit, mozilla-xulrunner192-64bit, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-devel, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-32bit, mozilla-xulrunner192-gnome-64bit, mozilla-xulrunner192-gnome-x86, mozilla-xulrunner192-translations, mozilla-xulrunner192-translations-32bit, mozilla-xulrunner192-translations-x86, mozilla-xulrunner192-x86
Products:
SLE-DEBUGINFO 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-DESKTOP 10-SP4 (i386, x86_64)
SLE-SDK 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP4 (i386, ia64, ppc, s390x, x86_64)
Comment 5 Swamp Workflow Management 2012-03-29 01:08:22 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-translations, mozilla-nspr, mozilla-nspr-32bit, mozilla-nspr-debuginfo, mozilla-nspr-devel, mozilla-nss, mozilla-nss-32bit, mozilla-nss-debuginfo, mozilla-nss-devel, mozilla-nss-tools, mozilla-xulrunner192, mozilla-xulrunner192-32bit, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-devel, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-32bit, mozilla-xulrunner192-translations, mozilla-xulrunner192-translations-32bit
Products:
SLE-SERVER 10-SP3-TERADATA (x86_64)
Comment 6 Swamp Workflow Management 2012-03-29 04:08:28 UTC
SUSE-SU-2012:0425-1: An update that contains security fixes can now be installed.

Category: security (critical)
Bug References: 752168
CVE References: 
Sources used:
SUSE Linux Enterprise Server 10 SP4 (src):    MozillaFirefox-3.6.28-0.5.2, mozilla-nspr-4.9.0-0.6.1, mozilla-nss-3.13.3-0.5.1, mozilla-xulrunner192-1.9.2.28-0.7.1
SUSE Linux Enterprise Desktop 10 SP4 (src):    MozillaFirefox-3.6.28-0.5.2, mozilla-nspr-4.9.0-0.6.1, mozilla-nss-3.13.3-0.5.1, mozilla-xulrunner192-1.9.2.28-0.7.1
SLE SDK 10 SP4 (src):    MozillaFirefox-3.6.28-0.5.2, mozilla-nss-3.13.3-0.5.1

Product List: SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Desktop 10 SP4
SLE SDK 10 SP4